Bug 849645 - grub2 ignores timeout
grub2 ignores timeout
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 09:03 EDT by Richard W.M. Jones
Modified: 2014-02-05 07:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:05:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-08-20 09:03:54 EDT
Description of problem:

I've set the timeout to 60 seconds.  However grub2 ignores
this and jumps straight from the menu to booting the kernel.
(It also ignored the old timeout which was 5 seconds).

I tried two ways to set this:

(1) Setting GRUB_TIMEOUT=60 in /etc/sysconfig/grub and installing
a kernel.

(2) Editing /boot/grub2/grub.cfg, setting timeout in this file
and then rebooting.

Neither way has any effect on grub.

Note this is a KVM guest.

Version-Release number of selected component (if applicable):

grub2-2.00-4.fc18.x86_64

How reproducible:

100%

Steps to Reproduce:
1. Edit /boot/grub2/grub.cfg
2. Locate the 'set timeout' line and set it to some large value.
3. Reboot the guest.
  
Actual results:

timeout is ignored.

Expected results:

Should delay kernel boot until the number of seconds specified in the timeout.

Additional info:

Changing the default kernel in /boot/grub2/grub.cfg *does* have an effect,
so I have reason to believe that grub is actually looking at this file.
Comment 1 Mads Kiilerich 2012-08-20 10:55:33 EDT
Is it booting bios or EFI?

Where do the timeout counter start if not at the value you specify?

Do you see the same problem with f17? If not then I would guess that the problem is the secure boot patches - try to build your own rpm without them.

(/etc/sysconfig/grub is a stupid fedora specific alias - better say /etc/default/grub to match what the rest of the world knows.)
Comment 2 Richard W.M. Jones 2012-08-20 11:42:19 EDT
It's a qemu guest, so it's (Sea-)BIOS.

The counter appears to be zero, or very close to zero.

Didn't try F17.  I'm trying to do everything with F18/Rawhide
in order to shake out the (very many) bugs in F18.  However
I haven't seen this sort of bug before.
Comment 3 Mads Kiilerich 2012-08-20 12:29:24 EDT
I don't see any problem here running f18 in kvm on f17.
Comment 4 Richard W.M. Jones 2012-08-20 12:35:47 EDT
Seems unlikely that it makes any difference, but the host I'm using is:

kernel-3.6.0-0.rc1.git3.2.bz844485.4.fc19.x86_64 [*]
qemu-kvm-1.2-0.3.20120806git3e430569.fc19.x86_64
seabios-1.7.0-4.rwmj1.fc19.x86_64 [**]
vgabios-0.6c-4.fc17.noarch
sgabios-0-1.1.20110622svn.fc19.x86_64

[*] Fedora kernel with a couple of really unrelated bug fixes
[**] same as seabios 1.7.0-3 but with debugging added
Comment 5 Fedora End Of Life 2013-12-21 03:41:50 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:05:08 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.